<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="FDIACS" targetName="FDIACS" />
    </generated>
  </component>
  <component name="CMakeSettings" AUTO_RELOAD="true">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="6938f4e3-b9b8-4c34-bea6-8fc5ace411e6" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/deployment.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/deployment.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/other.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/other.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CMakeLists.txt" beforeDir="false" afterPath="$PROJECT_DIR$/CMakeLists.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeCache.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeCache.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CMakeDetermineCompilerABI_C.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CMakeDetermineCompilerABI_C.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CMakeDetermineCompilerABI_CXX.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CMakeDetermineCompilerABI_CXX.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CompilerIdC/a.out" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CompilerIdC/a.out" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CompilerIdCXX/a.out" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.13.2/CompilerIdCXX/a.out" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.7.2/CMakeSystem.cmake" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/3.7.2/CMakeSystem.cmake" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeDirectoryInformation.cmake" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeDirectoryInformation.cmake" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeError.log" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeError.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeOutput.log" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/CMakeOutput.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/CXX.includecache" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/CXX.includecache" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/DependInfo.cmake" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/DependInfo.cmake" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/build.make" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/build.make" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/depend.internal" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/depend.internal" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/depend.make" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/depend.make" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/flags.make" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/flags.make" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/httppost.cpp.o" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/httppost.cpp.o" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/link.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/link.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/main.cpp.o" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/main.cpp.o" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/soapC.cpp.o" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/soapC.cpp.o" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/stdsoap2.cpp.o" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/FDIACS.dir/stdsoap2.cpp.o" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Makefile2" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Makefile2" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Progress/count.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/Progress/count.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/TargetDirectories.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/TargetDirectories.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/clion-log.txt" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/clion-log.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/feature_tests.bin" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/CMakeFiles/feature_tests.bin" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/FDIACS" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/FDIACS" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/FDIACS.cbp" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/FDIACS.cbp" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/Makefile" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/Makefile" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/cmake-build-debug/cmake_install.cmake" beforeDir="false" afterPath="$PROJECT_DIR$/cmake-build-debug/cmake_install.cmake" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/influxdb.h" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/main.cpp" beforeDir="false" afterPath="$PROJECT_DIR$/main.cpp" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/main.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1605">
              <caret line="116" column="43" selection-start-line="116" selection-start-column="43" selection-end-line="116" selection-end-column="43" />
              <folding>
                <element signature="e#7134#9502#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/soapcwmpService.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3105">
              <caret line="207" selection-start-line="207" selection-end-line="207" />
              <folding>
                <element signature="e#0#614#0" />
                <element signature="e#646#778#0" />
                <element signature="e#780#880#0" />
                <element signature="e#882#1022#0" />
                <element signature="e#1024#1154#0" />
                <element signature="e#1156#1300#0" />
                <element signature="e#1302#1401#0" />
                <element signature="e#1403#2164#0" />
                <element signature="e#2166#2246#0" />
                <element signature="e#2248#2401#0" />
                <element signature="e#2429#2612#0" />
                <element signature="e#2621#2830#0" />
                <element signature="e#2832#2907#0" />
                <element signature="e#2909#2996#0" />
                <element signature="e#2998#3137#0" />
                <element signature="e#3139#3326#0" />
                <element signature="e#3328#3471#0" />
                <element signature="e#3473#3664#0" />
                <element signature="e#3666#3750#0" />
                <element signature="e#3790#3884#0" />
                <element signature="e#3893#4006#0" />
                <element signature="e#4015#4079#0" />
                <element signature="e#4081#4704#0" />
                <element signature="e#4706#4783#0" />
                <element signature="e#4803#5202#0" />
                <element signature="e#5699#5813#0" />
                <element signature="e#5826#5884#0" />
                <element signature="e#7642#7702#0" />
                <element signature="e#7704#9235#0" />
                <element signature="e#9316#11138#0" />
                <element signature="e#11140#12986#0" />
                <element signature="e#12988#13748#0" />
                <element signature="e#13750#15596#0" />
                <element signature="e#15598#17540#0" />
                <element signature="e#17542#19484#0" />
                <element signature="e#19486#21092#0" />
                <element signature="e#21094#22652#0" />
                <element signature="e#22654#24284#0" />
                <element signature="e#24286#25988#0" />
                <element signature="e#25990#27716#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/soapcwmpService.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2070">
              <caret line="138" selection-start-line="138" selection-end-line="138" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="5" column="30" selection-start-line="5" selection-start-column="30" selection-end-line="5" selection-end-column="30" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>stdsoap2.cpp</find>
      <find>MustUnderstand</find>
      <find>sassan</find>
      <find>tood</find>
      <find>debug</find>
      <find>msgbuf</find>
      <find>fault struct for error code</find>
      <find>engh</find>
      <find>Instantiated struct</find>
      <find>Instantiated struct SOAP_ENV__Fault</find>
      <find>MUST</find>
      <find>Understand</find>
      <find>Sassan</find>
      <find>understood</find>
      <find>SOAP_MUSTUNDERSTAND</find>
      <find>SOAP_NAMESPACE</find>
      <find>match but namespaces differ</find>
      <find>cerr</find>
      <find>soap_match_namespace(</find>
      <find>SOAP_XML_IGNORENS</find>
      <find>SOAP_NO_DATA</find>
      <find>setsockopt</find>
      <find>bind failed in soap_bind</find>
      <find>InternetGatewayDevice.WANDevice.1.X_TGT_WANNetConfigInfo.RSRP2</find>
      <find>pPtrToArrayOfCharPtrs</find>
      <find>Data</find>
      <find>zbx_keys</find>
      <find>timestamp</find>
      <find>he</find>
      <find>hello</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/8475b696-d6ff-4afa-994e-c4b54dd29918/usr/local/include/stdsoap2.h" />
        <option value="$PROJECT_DIR$/stdsoap2.cpp" />
        <option value="$PROJECT_DIR$/ZBXSender/zabbix_sender.cpp" />
        <option value="$PROJECT_DIR$/zbx.h" />
        <option value="$PROJECT_DIR$/soapcwmpService.h" />
        <option value="$PROJECT_DIR$/soapcwmpService.cpp" />
        <option value="$PROJECT_DIR$/zbx.cpp" />
        <option value="$PROJECT_DIR$/influxdb.h" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/main.cpp" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="ProjectFrameBounds" extendedState="6" fullScreen="true">
    <option name="width" value="1280" />
    <option name="height" value="800" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="FDIACS" type="b2602c69:ProjectViewProjectNode" />
              <item name="FDIACS" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="settings.editor.selected.configurable" value="CPPToolchains" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="FDIACS" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="FDIACS" TARGET_NAME="FDIACS" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="FDIACS" RUN_TARGET_NAME="FDIACS">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="StructureViewFactory">
    <option name="ACTIVE_ACTIONS" value=",KIND,ALPHA_COMPARATOR" />
  </component>
  <component name="SvnConfiguration">
    <configuration>$USER_HOME$/.subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6938f4e3-b9b8-4c34-bea6-8fc5ace411e6" name="Default Changelist" comment="" />
      <created>1561923130082</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1561923130082</updated>
      <workItem from="1561923135704" duration="4478000" />
      <workItem from="1561929460228" duration="6956000" />
      <workItem from="1563012453599" duration="313000" />
      <workItem from="1563200170044" duration="32545000" />
      <workItem from="1563603005743" duration="4503000" />
      <workItem from="1563892219909" duration="16917000" />
      <workItem from="1564040112113" duration="2278000" />
      <workItem from="1564233155534" duration="1267000" />
      <workItem from="1564326851811" duration="18363000" />
      <workItem from="1564580635606" duration="42075000" />
      <workItem from="1565102310604" duration="19372000" />
      <workItem from="1568617184480" duration="295000" />
      <workItem from="1568879402223" duration="2478000" />
      <workItem from="1571572407314" duration="399000" />
      <workItem from="1572182212544" duration="1115000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="153354000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1280" height="800" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.47404063" visible="true" weight="0.2358643" />
      <window_info id="Structure" order="1" sideWeight="0.5259594" side_tool="true" visible="true" weight="0.2358643" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32739726" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.32871288" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32876712" />
      <window_info anchor="bottom" id="File Transfer" order="7" weight="0.3178082" />
      <window_info anchor="bottom" id="Database Changes" order="8" />
      <window_info active="true" anchor="bottom" id="Messages" order="9" visible="true" weight="0.3931507" />
      <window_info anchor="bottom" id="Terminal" order="10" weight="0.32739726" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="12" weight="0.32876712" />
      <window_info anchor="bottom" id="CMake" order="13" weight="0.4287671" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="right" id="Remote Host" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/soapcwmpService.cpp</url>
          <line>217</line>
          <option name="timeStamp" value="22" />
        </line-breakpoint>
        <line-breakpoint type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/stdsoap2.cpp</url>
          <line>21897</line>
          <option name="timeStamp" value="26" />
        </line-breakpoint>
        <line-breakpoint type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/stdsoap2.cpp</url>
          <line>3781</line>
          <option name="timeStamp" value="28" />
        </line-breakpoint>
        <line-breakpoint type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/stdsoap2.cpp</url>
          <line>20447</line>
          <option name="timeStamp" value="33" />
        </line-breakpoint>
        <line-breakpoint type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/stdsoap2.cpp</url>
          <line>1580</line>
          <option name="timeStamp" value="35" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/stdsoap2.cpp</url>
          <line>3624</line>
          <option name="timeStamp" value="37" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="CMakeRunConfiguration">
        <watch expression="soap-&gt;error" language="ObjectiveC" />
        <watch expression="soap_version(soap)" language="ObjectiveC" />
        <watch expression="SOAP_MUSTUNDERSTAND" language="ObjectiveC" />
        <watch expression="soap_recv_raw(soap)" language="ObjectiveC" />
        <watch expression="soap_recv_raw(soap)" language="ObjectiveC" />
        <watch expression="EOF" language="ObjectiveC" />
        <watch expression="(int)c" language="ObjectiveC" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>(int)c</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>EOF</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>soap_recv_raw(soap)</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>SOAP_MUSTUNDERSTAND</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>soap_version(soap)</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>soap-&gt;error</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>SOAP_STOP</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>soap-&gt;header</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>soap-&gt;body</expression-string>
        <language-id>ObjectiveC</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/cwmp.AddObject.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.AddObject.res.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.DeleteObject.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.DeleteObject.res.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.Download.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.Download.res.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.GetParameterAttributes.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.GetParameterAttributes.res.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.GetParameterNames.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.GetParameterNames.res.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.Upload.req.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/trapi.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="523">
          <caret line="92" selection-start-line="92" selection-end-line="92" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tr-069.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2042">
          <caret line="141" column="14" selection-start-line="141" selection-start-column="14" selection-end-line="141" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/8475b696-d6ff-4afa-994e-c4b54dd29918/usr/local/share/gsoap/plugin/httppost.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="975">
          <caret line="65" column="7" selection-start-line="65" selection-start-column="7" selection-end-line="65" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/httppost.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="243" column="7" selection-start-line="243" selection-start-column="7" selection-end-line="243" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/httppost.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="63" column="18" selection-start-line="63" selection-start-column="18" selection-end-line="63" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/8475b696-d6ff-4afa-994e-c4b54dd29918/usr/local/include/stdsoap2.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="188">
          <caret line="3301" column="26" selection-start-line="3301" selection-start-column="26" selection-end-line="3301" selection-end-column="26" />
          <folding>
            <element signature="e#28534#28598#0" expanded="true" />
            <element signature="e#28896#28981#0" expanded="true" />
            <element signature="e#29016#29110#0" expanded="true" />
            <element signature="e#30765#30810#0" expanded="true" />
            <element signature="e#115173#115188#0" expanded="true" />
            <element signature="e#115215#115327#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soapReadme.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="402">
            <caret line="5555" column="7" selection-start-line="5555" selection-start-column="7" selection-end-line="5555" selection-end-column="7" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soapC.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="92" selection-start-line="92" selection-end-line="92" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/acs.faraborddi.com_22/cec243bf-d8a5-43a6-981d-053f3f710b73/usr/local/include/stdsoap2.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1956">
          <caret line="1575" column="17" selection-start-line="1575" selection-start-column="13" selection-end-line="1575" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/local/include/stdsoap2.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="434">
          <caret line="1576" column="21" selection-start-line="1576" selection-start-column="21" selection-end-line="1576" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/cwmp.nsmap">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" column="30" selection-start-line="8" selection-start-column="30" selection-end-line="8" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soapStub.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="188">
          <caret line="1810" column="40" selection-start-line="1810" selection-start-column="40" selection-end-line="1810" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ZBXSender/ss.cpp" />
    <entry file="file://$PROJECT_DIR$/ZBXSender/ss.h" />
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/include/x86_64-linux-gnu/sys/socket.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1830">
          <caret line="122" column="11" selection-start-line="122" selection-start-column="11" selection-end-line="122" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ZBXSender/zabbix_sender.cpp" />
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/include/c++/6/bits/streambuf_iterator.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="368" column="4" selection-start-line="368" selection-start-column="4" selection-end-line="368" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/stdsoap2.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="6643" column="8" selection-start-line="6643" selection-start-column="8" selection-end-line="6643" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soapH.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159255">
          <caret line="10617" selection-start-line="10617" selection-end-line="10617" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/zbx.cpp" />
    <entry file="file://$PROJECT_DIR$/zbx.h" />
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/include/c++/6/thread">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="128" column="6" selection-start-line="128" selection-start-column="6" selection-end-line="128" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/include/c++/7/bits/unique_ptr.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="258">
          <caret line="356" column="6" selection-start-line="356" selection-start-column="6" selection-end-line="356" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Library/Caches/CLion2018.3/.remote/192.168.0.154_22/c0ecdd86-f178-4b13-b05c-a47e3455e4c4/usr/local/include/InfluxDBFactory.h">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/influxdb.h" />
    <entry file="file://$PROJECT_DIR$/soapcwmpService.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3105">
          <caret line="207" selection-start-line="207" selection-end-line="207" />
          <folding>
            <element signature="e#0#614#0" />
            <element signature="e#646#778#0" />
            <element signature="e#780#880#0" />
            <element signature="e#882#1022#0" />
            <element signature="e#1024#1154#0" />
            <element signature="e#1156#1300#0" />
            <element signature="e#1302#1401#0" />
            <element signature="e#1403#2164#0" />
            <element signature="e#2166#2246#0" />
            <element signature="e#2248#2401#0" />
            <element signature="e#2429#2612#0" />
            <element signature="e#2621#2830#0" />
            <element signature="e#2832#2907#0" />
            <element signature="e#2909#2996#0" />
            <element signature="e#2998#3137#0" />
            <element signature="e#3139#3326#0" />
            <element signature="e#3328#3471#0" />
            <element signature="e#3473#3664#0" />
            <element signature="e#3666#3750#0" />
            <element signature="e#3790#3884#0" />
            <element signature="e#3893#4006#0" />
            <element signature="e#4015#4079#0" />
            <element signature="e#4081#4704#0" />
            <element signature="e#4706#4783#0" />
            <element signature="e#4803#5202#0" />
            <element signature="e#5699#5813#0" />
            <element signature="e#5826#5884#0" />
            <element signature="e#7642#7702#0" />
            <element signature="e#7704#9235#0" />
            <element signature="e#9316#11138#0" />
            <element signature="e#11140#12986#0" />
            <element signature="e#12988#13748#0" />
            <element signature="e#13750#15596#0" />
            <element signature="e#15598#17540#0" />
            <element signature="e#17542#19484#0" />
            <element signature="e#19486#21092#0" />
            <element signature="e#21094#22652#0" />
            <element signature="e#22654#24284#0" />
            <element signature="e#24286#25988#0" />
            <element signature="e#25990#27716#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/soapcwmpService.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2070">
          <caret line="138" selection-start-line="138" selection-end-line="138" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="30" selection-start-line="5" selection-start-column="30" selection-end-line="5" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1605">
          <caret line="116" column="43" selection-start-line="116" selection-start-column="43" selection-end-line="116" selection-end-column="43" />
          <folding>
            <element signature="e#7134#9502#0" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>